micropost: Ubuntu 7.10 y Shockwave Flash 7.0 r61 tocando los bemoles

De vez en cuando tengo algunos problemillas tontos y después de 10 minutos de foros, consigo resolverlos, aunque la gran G sea potente, no es omnímoda y a veces te pasas dando vueltas por foros en alemán a lo tonto. Por eso inauguro esta sección de microposts, para poder dejar en el blog recetillas cortas de problemas poco habituales pero molestos al fin y al cabo 😀

Una de las cosas que me ha molestado de instalar Ubuntu en uno de mis PCs es que la versión de Firefox que trae viene con un plugin Flash 7 y al instalar la última versión de Adobe del plugin, acaban cohabitando ambas y misteriosamente el navegador da preferencia a la versión más baja. Esto no importa para ir a youtube a ver pavadas, pero si vas slideshare.net o a cualquier servicio que compruebe que tienes la última versión de Flash, te dan la brasa con que te instales el plugin que ya tienes instalado y tal.

Ubuntu 7.10 y Shockwave Flash 7.0 r61 tocando los bemoles

¿La solución? Una tontería como un piano: hay una copia de la librería que se encarga de flash en Firefox en el directorio $HOME del usuario, y si existe, ésta tiene preferencia. Así que simplemente borrándola o renombrándola, problema resuelto:

mv $HOME/.mozilla/plugins/libflashplayer.so $HOME/.mozilla/plugins/libflashplayer.so.old

Podemos comprobar que todo ha ido bien rearrancando el Firefox y poniendo «about:plugins» en la barra de direcciones. Si hemos conseguido eliminar de ahí el molesto «Shockwave Flash 7.0 r61», podremos dar el problema por resuelto 🙂


					

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *